View Javadoc

    1   /**
    2    *
    3    * Copyright 2003-2004 The Apache Software Foundation
    4    *
    5    *  Licensed under the Apache License, Version 2.0 (the "License");
    6    *  you may not use this file except in compliance with the License.
    7    *  You may obtain a copy of the License at
    8    *
    9    *     http://www.apache.org/licenses/LICENSE-2.0
    10   *
    11   *  Unless required by applicable law or agreed to in writing, software
    12   *  distributed under the License is distributed on an "AS IS" BASIS,
    13   *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    14   *  See the License for the specific language governing permissions and
    15   *  limitations under the License.
    16   */
    17
    18  //
    19  // This source code implements specifications defined by the Java
    20  // Community Process. In order to remain compliant with the specification
    21  // DO NOT add / change / or delete method signatures!
    22  //
    23
    24  package javax.servlet.jsp.tagext;
    25
    26  /**
    27   * Information for a function in a Tag Library.
    28   * This class is instantiated from the Tag Library Descriptor file (TLD)
    29   * and is available only at translation time.
    30   *
    31   * @since 2.0
    32   */
    33  public class FunctionInfo {
    34
    35      /**
    36       * Constructor for FunctionInfo.
    37       *
    38       * @param name The name of the function
    39       * @param klass The class of the function
    40       * @param signature The signature of the function
    41       */
    42
    43      public FunctionInfo(String name, String klass, String signature) {
    44
    45  	this.name = name;
    46          this.functionClass = klass;
    47          this.functionSignature = signature;
    48      }
    49
    50      /**
    51       * The name of the function.
    52       *
    53       * @return The name of the function
    54       */
    55
    56      public String getName() {
    57  	return name;
    58      }
    59
    60      /**
    61       * The class of the function.
    62       *
    63       * @return The class of the function
    64       */
    65
    66      public String getFunctionClass() {
    67          return functionClass;
    68      }
    69
    70      /**
    71       * The signature of the function.
    72       *
    73       * @return The signature of the function
    74       */
    75
    76      public String getFunctionSignature() {
    77          return functionSignature;
    78      }
    79
    80      /*
    81       * fields
    82       */
    83
    84      private String name;
    85      private String functionClass;
    86      private String functionSignature;
    87  }